class Planet{
  float diameter;
  color surface;
  float angle;

  Planet(float diameter, color  surface){
    this.angle = random(350);
    this.diameter = diameter;
    this.surface = surface;
  }

  public void orbit(float radiusX, float radiusY, float orbitTime){
    // draw ellipse first, so it's under the planet
    drawOrbit(radiusX, radiusY);
    float px = cos(radians(angle))*radiusX/2;
    float py = sin(radians(angle))*radiusY/2;
    
    // draw planet next 
    fill(surface);
    noStroke();
    ellipse(px, py, diameter/2000, diameter/2000);
    
    //big planets get a red dot award
    if (diameter > 100000){
        fill(#FF5522); 
        ellipse(px, py+20, 10, 10);
    }
    
    //move forward
    angle += (1/orbitTime);
  }

  void drawOrbit(float radiusX, float radiusY){
       //make the entire orbit visible
       stroke(255, 50);
       float angle=0;
             for (int i=0; i<360; i++){
                  point(cos(radians(angle))*radiusX/2, 
                        sin(radians(angle++))*radiusY/2);
             }
       }
}
